using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgMaterialRecommendFinalPromotionPathMapData
{

    /*
        优惠名称，如“商品券”、“跨店满减”、“单品直降”等
    */
    private string? promotionTitle;


    /*
        优惠利益点文案，如“1件7.92折”、“每200减20”等
    */
    private string? promotionDesc;


    /*
        实际优惠金额（元）
    */
    private string? promotionFee;


    /*
        优惠开始时间
    */
    private string? promotionStartTime;


    /*
        优惠结束时间
    */
    private string? promotionEndTime;


    /*
        优惠ID
    */
    private string? promotionId;



    [JsonPropertyName("promotion_title")]
    public string? PromotionTitle
    {
        get => promotionTitle;
        set => this.promotionTitle = value;
    }

    [JsonPropertyName("promotion_desc")]
    public string? PromotionDesc
    {
        get => promotionDesc;
        set => this.promotionDesc = value;
    }

    [JsonPropertyName("promotion_fee")]
    public string? PromotionFee
    {
        get => promotionFee;
        set => this.promotionFee = value;
    }

    [JsonPropertyName("promotion_start_time")]
    public string? PromotionStartTime
    {
        get => promotionStartTime;
        set => this.promotionStartTime = value;
    }

    [JsonPropertyName("promotion_end_time")]
    public string? PromotionEndTime
    {
        get => promotionEndTime;
        set => this.promotionEndTime = value;
    }

    [JsonPropertyName("promotion_id")]
    public string? PromotionId
    {
        get => promotionId;
        set => this.promotionId = value;
    }

}

